Package

## Interface InMobiNative.LockScreenListener

- All Implemented Interfaces:

      public interface InMobiNative.LockScreenListener

  A listener for receiving Lockscreen events during the lifecycle of a Native ad. Register this listener iff your app renders Native ad on Lockscreen.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Unit` | `onActionRequired(InMobiNative nativeAd)` | Called to notify LockScreen that some action is required.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

  - ### Method Detail

    - #### onActionRequired

           abstract Unit onActionRequired(InMobiNative nativeAd)

      Called to notify LockScreen that some action is required. After this callback LockScreen app should prompt for keyguard. On Dismissal of keyguard app should call .takeAction

      Parameters:
        `nativeAd` - Ad for which callback is generated